function setTask(obj, map, mesh, basisFcns, ka, operators)
%% setTask funtion for inserting all task data
%
%  INPUTS
%   map:         definition of map containing all pixels, cell [N x 1]
%   mesh:        mesh structure from AToM, struct [1 x 1]
%   basisFcns:   basis function structure from AToM, struct [1 x 1]
%   ka:          electrical size, double [1 x 1]
%   operators:   structure with operators, struct [1 x 1]
%                 contains: Z, omW, U, L, omXm, omXe
%
%  SYNTAX
%
%  obj.setTask(map, mesh, basisFcns, ka, operators)
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

obj.Map = map;

obj.Mesh = mesh;
obj.BasisFcns = basisFcns;

obj.ka = ka;
obj.Operators = operators;

obj.PixelValues = zeros(length(obj.Map), 1);

obj.GUI.prepare;
end

