function buttonMouse(obj)
%% buttonMouse callback for 'mouse' control mode
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

selectionType = obj.MainFigure.SelectionType;

if strcmpi(selectionType, 'normal')
    startReadadd(obj);
elseif strcmpi(selectionType, 'alt')
    startReadremove(obj);
end

    function startReadadd(obj)
        obj.addPixel;
        obj.MainFigure.WindowButtonMotionFcn = @(a, b) obj.addPixel;
        obj.MainFigure.WindowButtonUpFcn = @(a, b) stopRead(obj);
    end

    function startReadremove(obj)
        obj.removePixel;
        obj.MainFigure.WindowButtonMotionFcn = @(a, b) obj.removePixel;
        obj.MainFigure.WindowButtonUpFcn = @(a, b) stopRead(obj);
    end

    function stopRead(obj)
        obj.MainFigure.WindowButtonMotionFcn = '';
        obj.MainFigure.WindowButtonDownFcn = @(a, b) obj.buttonMouse;
    end
end

