function graphicalStyle(obj)
%% graphicalStyle graphical presets
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com
%  2018, Michal Masek, CTU in Prague, michal.masek@antennatoolbox.com

%% font settings
obj.MainFont = 'Arial';
obj.ButtonFontSize = 20;
obj.MainFontSize = 15;
obj.TextfieldFontSize = 12;
obj.TextfieldResultFontSize = 20;
obj.MainFontColor = [1 1 1];

%% colors
grey = @(x) [x x x];
gHard = 0.925;
gMild = 0.975;

emit.blueLight = [0, 179, 227] / 255;
emit.blueDark = [0, 92, 185] / 255;
emit.orangeLight = [255, 198, 39] / 255;
emit.orangeDark = [247, 168, 0] / 255;

obj.FigureBackgroundColor = grey(0.2);
obj.ButtonBackgroundColor = emit.blueDark;
obj.ResultFieldBackgroundColor = grey(0.2);

color0 = emit.orangeDark;
color1 = emit.blueLight;
color2 = emit.orangeLight;
color3 = emit.blueLight;
obj.Cmap = [color0; color1; color2; color3]; %% first color = fedPixels
% color0 = feder pixels
% color1 = vacuum pixels
% color2 = metal pixels
% color3 = special pixel

obj.HistoryBarCmap = [1 1 1; emit.blueDark];

obj.ButtonFontColor = obj.MainFontColor;
obj.RecordColor = emit.orangeLight;
obj.LimitColor = [204 51 0] / 255;

%% texts
obj.TextFontSize = 15;
obj.TextFontColor = grey(1);

%% feeder
obj.FeederColor = [1 0 0];
obj.FeederWidth = 4;

%% buttons
obj.ButtonSolveString = {'RESULTS', 'DESIGN'};
obj.ButtonClearString = {'CLEAR', 'CURRENT', 'CHARGE'};

%% uicontrol common properties
obj.ButtonCommonProperties = ...
   {'Style','pushbutton', ...
   'BackgroundColor', obj.ButtonBackgroundColor, ...
   'ForegroundColor', obj.ButtonFontColor, ...
   'FontName', obj.MainFont, ...
   'FontSize', obj.ButtonFontSize, ...
   'HandleVisibility', 'off'};

obj.TextCommonProperties = ...
   {'Style', 'text', ...
   'BackgroundColor', obj.FigureBackgroundColor, ...
   'ForegroundColor', obj.MainFontColor, ...
   'FontName', obj.MainFont, ...
   'FontSize', obj.TextfieldFontSize, ...
   'HorizontalAlignment', 'center', ...
   'HandleVisibility', 'off'};

obj.TextResultCommonProperties = ...
   {'Style', 'text', ...
   'BackgroundColor', obj.ResultFieldBackgroundColor, ...
   'ForegroundColor', obj.MainFontColor, ...
   'FontName', obj.MainFont, ...
   'FontSize', obj.TextfieldResultFontSize, ...
   'HorizontalAlignment', 'center', ...
   'HandleVisibility', 'off'};

obj.PanelCommonProperties = ...
   {'BackgroundColor', obj.FigureBackgroundColor, ...
   'FontName', obj.MainFont, ...
   'FontSize', obj.TextfieldFontSize - 1, ...
   'TitlePosition', 'centertop',...
   'Units', 'normalized', ...
   'HandleVisibility', 'off'};

obj.HistoryLineCommonProperties = ...
   {'LineWidth', 1.5,...
   'LineStyle', '-'};

end

