function s = numberFormat(x, P)
%% numberFormat define number format of displayed numbers
%
% Included in AToM, info@antennatoolbox.com
%  2018, Miloslav Capek, CTU in Prague, miloslav.capek@antennatoolbox.com

if nargin < 2
    P = 4;
end
s = cellfun(@(x)sprintf(...
    ['%4.',num2str(max(0,P-floor((log10(x)+1)))),'f'],x),...
    num2cell(round(x,P,'significant')),'UniformOutput',false);
end