function pixelSelection = position(obj)
%% position controls position of curcor
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

currentPosition = get(obj.Handles.mainAxes, 'CurrentPoint');
X = single(currentPosition(1, 1));
Y = single(currentPosition(1, 2));
XLim = obj.Handles.mainAxes.XLim;
YLim = obj.Handles.mainAxes.YLim;

nPixels = length(obj.AntennaBuilder.Map);
pixelSelection = false(nPixels, 1);

if X > XLim(1) && X < XLim(2) && ...
        Y > YLim(1) && Y < YLim(2)
    edges = obj.Edges;
    temp = reshape(obj.Sign(X, Y, edges(:, 1), edges(:, 2), ...
        edges(:, 3), edges(:, 4)), nPixels, []);
    
    pixelSelection(all(temp < 0, 2) | all(temp > 0, 2)) = true;
end
end

