function prepare(obj)
%% prepare prepares all important data
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

obj.FeedingPosition = obj.AntennaBuilder.feedingPosition;

map = obj.AntennaBuilder.Map;
nPixels = length(map);
nExgesPerPixel = size(map{1}.pPixel, 1);
edgesTemp = nan(nExgesPerPixel * length(map), 4);

for thisEdge = 1 : nExgesPerPixel
    P1 = thisEdge;
    P2 = thisEdge + 1;
    if P2 > length(map{1}.pPixel)
        P2 = 1;
    end
    
    for thisPixel = 1:nPixels
        edgesTemp(nPixels * (thisEdge - 1) + thisPixel, :) = ...
            [map{thisPixel}.pPixel(P1, 1) map{thisPixel}.pPixel(P1, 2) ...
            map{thisPixel}.pPixel(P2, 1) map{thisPixel}.pPixel(P2, 2)];
    end
end
obj.LastPixel = false(nPixels, 1);
obj.Edges = single(edgesTemp);
obj.update;
end

