function reset(obj)
%% reset resets gui except of history and records
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com
%  2018, Michal Masek, CTU in Prague, michal.masek@antennatoolbox.com

obj.AntennaBuilder.reset;

if strcmpi(obj.AntennaBuilder.Control, 'tablet')
    obj.MainFigure.WindowButtonDownFcn = @(a, b) obj.buttonTablet;
elseif strcmpi(obj.AntennaBuilder.Control, 'teamviewer')
    obj.MainFigure.WindowButtonDownFcn = @(a, b) obj.buttonTeamviewer;
else
    obj.MainFigure.WindowButtonDownFcn = @(a, b) obj.buttonMouse;
end

obj.hideSolution;
obj.showPixels;

if strcmp(obj.ButtonSolveState, 'design')
    obj.buttonSolve;
end

if ~isempty(obj.AntennaBuilder.Solutions)
    obj.updateResults();
end
end

