function setCallbacks(obj)
%% setCallbacks assigns callbacks
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com
%  2018, Michal Masek, CTU in Prague, michal.masek@antennatoolbox.com

%% set callbacks
if obj.AntennaBuilder.Closing
    obj.MainFigure.CloseRequestFcn = @(a, b) obj.closeReqFcn;
else
    obj.MainFigure.CloseRequestFcn = '';
end

obj.Handles.buttons.clear.Callback = @(a, b) obj.buttonClear;
obj.Handles.buttons.solve.Callback = @(a, b) obj.buttonSolve;
obj.Handles.buttons.newUser.Callback = @(a, b) obj.newUser;

if strcmpi(obj.AntennaBuilder.Control, 'tablet')
    obj.MainFigure.WindowButtonDownFcn = @(a, b) obj.buttonTablet;
elseif strcmpi(obj.AntennaBuilder.Control, 'teamviewer')
    obj.MainFigure.WindowButtonDownFcn = @(a, b) obj.buttonTeamviewer;
else
    obj.MainFigure.WindowButtonDownFcn = @(a, b) obj.buttonMouse;  
end

%% advertisment
linkCEMGroup = 'http://elmag.fel.cvut.cz/CEM?language=en';
obj.Handles.textAdvertisment.ButtonDownFcn = ...
   @(a, b) web(linkCEMGroup, '-browser');

end

