%% Antenna Builder
%
% Start Antenna Builder
%  AB = AntennaBuilder();
%
% Open GUI if window is closed
%  AB.open
%
% quit Antenna Builder
%  AB.exit
%
% control mode
%  AB.Control = {'m', 't', 'r'}
%   't' - clickAndHold to select, inverts pixel status
%   'm' - clickAndHold left mouse button to select
%         clickAndHold right mouse button to unselect            
%   'r' - click to start selection, click to stop selection, inverts pixel
%         status

%% TASK
% Set task
%  all data should be loaded
%  AB.setTask(Map, Mesh, BF, ka, OP);
% 
% Set feeder
%  It is possible to set feeded pixels, amplitude and phase
%  AB.addFeeder(fedPixels, 1, 0);

%% Genetic algorithm 
%
% run genetic algorithm NSGAII
%  AB.runGA
%
% run genetic algorithm in infinite loop
%  AB.runRestartedGA

%% Control settings
%  
% set displaying IDs of pixels
%  AB.DisplayIDs = {true, false};
%
% enable/disable window closing
% AB.Closing = {true, false};
%
% set Y axis data function/scaling
%  AB.HistoryYFcn = @(x) x;
%  AB.HistoryYScale = 'log';
%
% set limits of y axis
%  AB.HistoryYLim = @(Qlim, lastResults) [10, (max(lastResults)>=100) * ...
%               min(10000, max(lastResults)) + (max(lastResults)<100)*100];
%
% number of bars
%  AB.HistoryNBars = 70;
%
% spacing between X ticks
%  AB.HistoryXTicksSpacing = 15;
