%% load task
load('data\rectangle_2over1_ka_0p62_EMiT_Shape.mat')
load('data\rectangle_2over1_ka_0p62_EMiT_Operators.mat')

%% create Antenna builder
AB = AntennaBuilder();

%% set User
AB.setUser('FOPS - GA', '', [0.8 0.8 0.8]);

%% add TASK
AB.setTask(Map, Mesh, BF, ka, OP);
AB.addFeeder(fedPixels, 1, pi/2);

%% set Antenna builder
AB.Closing = true;
AB.HistoryYFcn = @(x) x;
AB.HistoryYScale = 'log';
AB.HistoryYLim = @(Qlim, lastResults) [10, (max(lastResults)>=100) * ...
                min(10000, max(lastResults)) + (max(lastResults)<100)*100];
AB.HistoryNBars = 70;
AB.HistoryXTicksSpacing = 15;

%% run NSGAII
AB.runRestartedGA